Ipelib

Public Member Functions | List of all members
ipe::PdfArray Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions
| PdfArray ()
| ~PdfArray ()
virtual const PdfArray * | array () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
void | append (const PdfObj *)
int | count () const noexcept
const PdfObj * | obj (int index, const PdfFile *file) const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber=nullptr, bool inflate=false) const noexcept=0
String | repr () const noexcept

## Detailed Description

The PDF array object.

## Constructor & Destructor Documentation

## ◆ PdfArray()

ipe::PdfArray::PdfArray | ( |  | ) |
| inline explicit

## ◆ ~PdfArray()

PdfArray::~PdfArray | ( |  | ) |

## Member Function Documentation

## ◆ array()

const PdfArray * PdfArray::array | ( |  | ) | const
| virtual noexcept

Return this object as PDF array object.

Reimplemented from ipe::PdfObj.

## ◆ write()

void PdfArray::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const
| virtual noexcept

Implements ipe::PdfObj.

## ◆ append()

void PdfArray::append | ( | const PdfObj * | obj | ) |

Append an object to array.

Array takes ownership of the object.

References obj().

## ◆ count()

int ipe::PdfArray::count | ( |  | ) | const
| inline noexcept

Referenced by ipe::PdfDict::deflated().

## ◆ obj()

const PdfObj * PdfArray::obj | ( | int | index,
|  | const PdfFile * | file
| ) |  | const
| noexcept

Return object with index in array.

Indirect objects (references) are looked up if file is not nullptr, and the object referred to is returned (nullptr if it does not exist). Object remains owned by array.

References ipe::PdfObj::ref(), and ipe::PdfRef::value().

Referenced by append(), ipe::PdfDict::deflated(), ipe::Face::Face(), ipe::PdfDict::getNumberArray(), and ipe::Latex::readPdf().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp